## org.codehaus.groovy.grails.web.util
Class WebUtils.IncludeResponseWrapper

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.codehaus.groovy.grails.web.util.WebUtils.IncludeResponseWrapper

All Implemented Interfaces:
  HttpServletResponse, ServletResponse

Enclosing class:
  WebUtils

    static class WebUtils.IncludeResponseWrapper

extends HttpServletResponseWrapper

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`WebUtils.IncludeResponseWrapper(HttpServletResponse httpServletResponse)`

Method Summary
`String` `getContent()`
`String` `getContent(String encoding)`
`ServletOutputStream` `getOutputStream()`
`int` `getStatus()`
`PrintWriter` `getWriter()`
`void` `sendError(int i)`
`void` `sendError(int i, String s)`
`void` `setContentType(String s)`
`void` `setLocale(Locale locale)`
`void` `setStatus(int i)`

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getResponse, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength`

Constructor Detail

### WebUtils.IncludeResponseWrapper

    public WebUtils.IncludeResponseWrapper(HttpServletResponse httpServletResponse)

Method Detail

### setStatus

    public void setStatus(int i)

  Specified by:
    `setStatus` in interface `HttpServletResponse`
  Overrides:
    `setStatus` in class `HttpServletResponseWrapper`

### getStatus

    public int getStatus()

### setContentType

    public void setContentType(String s)

  Specified by:
    `setContentType` in interface `ServletResponse`
  Overrides:
    `setContentType` in class `ServletResponseWrapper`

### setLocale

    public void setLocale(Locale locale)

  Specified by:
    `setLocale` in interface `ServletResponse`
  Overrides:
    `setLocale` in class `ServletResponseWrapper`

### sendError

    public void sendError(int i,
                          String s)
                   throws IOException

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Overrides:
    `sendError` in class `HttpServletResponseWrapper`
  Throws:
    `IOException`

### sendError

    public void sendError(int i)
                   throws IOException

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Overrides:
    `sendError` in class `HttpServletResponseWrapper`
  Throws:
    `IOException`

### getOutputStream

    public ServletOutputStream getOutputStream()
                                        throws IOException

  Specified by:
    `getOutputStream` in interface `ServletResponse`
  Overrides:
    `getOutputStream` in class `ServletResponseWrapper`
  Throws:
    `IOException`

### getWriter

    public PrintWriter getWriter()
                          throws IOException

  Specified by:
    `getWriter` in interface `ServletResponse`
  Overrides:
    `getWriter` in class `ServletResponseWrapper`
  Throws:
    `IOException`

### getContent

    public String getContent()
                      throws UnsupportedEncodingException

  Throws:
    `UnsupportedEncodingException`

### getContent

    public String getContent(String encoding)
                      throws UnsupportedEncodingException

  Throws:
    `UnsupportedEncodingException`

Copyright (c) 2005-2009 The Grails project